★PJBlog3 3.2.9.518 更新内容★
1、修复全动态模式下相关日志显示的BUG
2、修复UBB的一处错误[code]
3、修正全静态页面下的会员登录发表评论验证码的问题
4、为tag页面增加标签日志数
5、美化评论留言回复邮件的格式
6、修改G头像的默认头像到本地images/gravatar.gif
7、增加博主回复评论G头像（需要修改skin）
8、增加评论楼层显示
9、去除TAG标签的technorati.com代码
10、其他一些小的修改

★PJBlog3 3.2.9.506 更新内容★
1、去除未完成的语言包，决定暂不增加语言包功能
2、添加静态页面上下模块
3、优化评论审核功能
4、优化用户登录状态表现
5、优化缓存路径的读取
6、增加几个浏览器及操作系统的识别
7、优化翻页代码(相应的皮肤CSS也需要增加修正)
8、修正友情链接分类编辑的BUG
9、改进Gravatar头像功能
10、修复相关日志不能翻页的BUG
11、修复查看更多链接错误的BUG
12、FCK编辑器升级到2.6.6
13、修复了一下wap评论的BUG
14、内容页关键字后多余的逗号
15、更新草稿返回连接错误及打开存在的一些问题
16、解决关键字转换错误BUG

★PJBlog3 3.1.6.227 更新内容★
1. 舜子 : 修正description中出现html标签的BUG
2. evio : 增加Ajax草稿自动保存功能; 游客评论保存已评论过的信息; 增加keywords和description功能; 对PJBLOG进行彻底的XSS漏洞的防御和修复; 更新了ajaxrequest框架到最新;增加密码强度功能
3. Rison :  增加加密标题和加密评论的功能; 增加登录、注册、修改资料后自动返回操作前的页面; 修正批量删除友情链接后不更新缓存的BUG 修正静态模板RSS订阅的错误其他的一些小错误; Fck编辑器升级到V2.6.4
4. 戒聊 :  压缩了下数据库.
5. 蚊子 : 增加附件管理模块和防盗链水印等.

★PJBlog3 3.0.6.170 更新内容★
  01. 增加了'别名系统'，利于SEO。
      以特定分类名作为目录名,比如 /article/web/show.html
      后台操作FSO能准确 移动 删除 更新 文章
      兼容日志加密功能
      对SEO友好,使文章更容易本搜索引擎收录
  02. 修复了Cookie不能保存的问题。
  03. 修复了[mdown]标签在静态下失效的问题。
  04. 对友情链接的批量删除。
  05. snail.rison进行了部分BUG修复。
  06. 建立Ajax模型。
  07. 对代码进行优化。
  08. 修正首页评论UBB表情代码无法显示的问题
  09. 修正戒聊编写的日志管理功能中删除日志时对应文章数未减一的问题,并更新后台文章数
  10. 增加相关日志功能
  11. 增加后台批量删除用户功能
  12. 增加分段全静态功能
  13. 修复私密日志和加密日志的标题显示状态
  14. 修正[hidden]标签失效问题
  15. 修正后台删除外部分类时也删除了article文件夹的BUG
  16. 解决半静态模式下模板修改无效的问题补丁
  17. 对原始内置数据的修改
  18. 修正全静态下相关日志翻页不显示的BUG
  19. 修正Windows Live Writer无法发布日志的BUG
  20. 修正日历模块在全静态文章中翻月时网址错误的BUG
  21. 修正后台一处title属性错误的BUG
  22. 增加半静态和全静态的相关日志
  23. 修正中文用户评论需输入中文用户名的BUG
  24. 对初始数据的修改 把title的pjb 改成 PJB
  25. 对PJ3最新版本更新日期的更新
  26. 补充部分icon
  27. 增加Ajax框架
  28. 增加SEO优化功能之Meta中对keywords和description的自定义化

★PJBlog3 2.8.5.157 更新内容★
  修正评论回复在禁止ubb后失效的问题
  评论回复增加时间
  后台增加日志管理 - 该功能由戒聊同学进行开发，舜子美化
  修正列表报错的问题
  补上一些fck漏掉的文件

★PJBlog3 2.8.5.150 更新内容★
  后台增加首页预览按钮后台静态化日志时默认选中安静模式
  增加日志评论回复功能 
  增强私密日志功能
  增加加密日志功能支持tab分类表现(在当前的分类中增加menuB样式) 
  增加样式规则，能够更好得区分 quote reply code这些UBB面板
  优化缓存清理,让缓存清理更加干净
  更新fck编辑器到最新版本
  初始化安装的用户增加一个设置向导页面
  为[html]标签增加代码另存为功能

  修正全静态模式更新缓存失败的bug 给UBBPanel增加特殊的
  修正menuB失效的问题
  修正const.asp里和pjblog2有关的信息 	
  修正密码提示能够进行显示和隐藏不允许发表空的回复
  修正后台分类管理类别图标选中失败的bug 
  修正一些bug 私密日志的上一篇下一篇的问题访问计数更新失败的bug

★PJBlog3 2.8 更新内容★
	增加RSD（Really Simple Discoverability）支持
	全新的后台控制面板
	增加一批新图标
	增加静态化过程进度可视化
	增加清理服务器缓存 功能
	增加wap访问写日志功能
	优化翻页的表现
	减少ubb编辑器输出的html代码，从而减少代码量。
	采用异步方式动态加载ubb编辑器
	取消文章列表顶部的翻页
	增加全静态化功能
		后台增加 静态化可选项
		静态页面的动态侧边栏支持304，提高打开速度
		静态页面支持访问计数的统计
		静态页面支持登录后对简单的权限进行判断
		静态页面支持快速登陆评论
	增加默认的robots.txt文件。禁止爬虫抓取搜索、注册、登陆等页面
	增加document.getElementById的增强缩写形式$()。
	为外部网址添加 rel="external" 属性。

	修正safari无法看评论的问题
	修正 feed atom sitemap 路径的问题
	修复后台基本设置缺少判断是否为“全动态模式”
	修正翻页只有一页的时候不显示页数
	修正发表评论可以伪造身份的bug
	修正静态页面侧边栏应为插件导致脚本错误的问题
	静态页面支持隐藏日志
	更新pjblog3的数据库字段
	修正删除日志没有删除文件的bug
	修正应插件问题导致获取评论和统计失败的bug
	修正全动态下连接错误的问题
	修正xmlrpc的错误
	修复前台删除评论会员统计评论数不减的BUG
	修复后台删除留言留言总数及会员统计不减的BUG
	增加后台直接删除风格文件夹功能
	发表评论时首字不允许为空格或回车
	修复留言本验证码漏洞
	修复其他的一些小细节
	留言本无法使用高级过滤功能
	后台取消“发表评论必须输入验证码”设置时，前台发表评论时提示验证码错误的问题
	包含“/”符号的过滤规则,高级过滤无效的问题
	修正后台模块过滤的bug
	修正模板里的隐藏日志图标

	xmlrpc增加 mt.getPostCategories 支持


特别感谢 snail.rison 戒聊 wukangrui 开发协助 以及 论坛所有协助测试的斑斑们
特别感谢 bug Center Team 进行的代码安全检查

PJBlog 2.7 更新内容
 - 英文换行问题
 - 搜索框架问题
 - 绕过验证码漏洞（垃圾评论、垃圾留言问题）
 - 友情链接加验证码
 - 注册同时登录
 - 增加防止误删/修改仅有管理员功能
 - 访客记录过滤部分蜘蛛
 - 在线QQ为未知区域的问题
 - 写新日志发送引用失败问题
 - 验证码错误不刷新问题
 - 管理员不能修改,和删除自己的权限,以免误操作
 - 修复firefox下无法打开表情选项框的问题
 - 改用新验证码
 - 修正 UBB 标签的 XSS 漏洞
 - 验证码可以自动刷新
 - 验证码优化, 允许单击更换,缩小表现尺寸
 - 查看日志页面的订阅按钮移动到左侧
 - 增加正则匹配功能校验评论（可以分享正则库来更新过滤包，方便初学者更新） 
 - 后台增加正则过滤设置功能
 - 部分脚本迁移到Javascript, 减少 On Error Resume Next 对服务器造成的负担
 - 优化后台分类列表的算法
 - 评论过滤功能分 初级过滤以及高级过滤功能
 - 修正xmlrpc的错误

 - 垃圾引用问题 
    - 发表trackback需要输入验证码获得有效的trackback地址

 - 垃圾评论问题
    - 限制外域发表评论
    - 增强评论上下文的检验


PJBlog 2.6
	- 整合何昕和番茄修正的Bug 
	- 修正wap的对html过滤出错的问题
	- wap 可以发表评论
	- 增强评论以及留言本的管理
	- 增加垃圾言论过滤功能
	- 修正查询页面的Bug
	- 改善后台的代码和部分操作
	- 重构TrackBack
	- 修正search.asp页面,减轻对数据库的查询. 过滤trackback 
	- 验证码不区分大小写
	- 留言本插件升级到 1.5
	- trackback 直接输出xml,并且以xsl进行样式过滤 (目前还不支持FF)
	- 编辑日志同样允许发表trackback
	- 后台允许编辑评论和留言,管理员也可以批量回复留言

	- 修正XMLRPC部分返回值不规范的问题 (感谢confire提供的修改方法)
	- 修正部分过滤不严格的漏洞(感谢Taihom的提醒)
	- 修正文章第一个字符无法输入空格的问题
	- 修正设置了用户编辑权限后,无法编辑的Bug
	- UBB编辑器实现自动隐藏
	- 修正所有"登陆"为"登录"
	- 修正 sitemap.asp 错误的字段

PJBlog 2.5 
	- 增加wap功能
	- 增加XMLPRC功能 MoveType API
	- 增加访客记录最大记录值
	- 增加日志发表以及修改class
	- 后台增加输出静态索引功能
	- 后台增加防止外部连接措施
	- 附件管理无法获取附件文件夹以外的文件
	- 后台对基本设置页面重新布局
	- 修正referer过滤问题
	- 修正数据库防下载代码
	- 修正UBB代码日文过滤出错问题
	- 用户检测页面增加返回一个布尔值
	- 留言本插件用户名过滤
	- 修正member.asp过滤不严问题
	- 修正隐藏分类后分页出错的Bug
	- 重写静态缓存类,增加日志列表静态页面输出
	- 修正 feed/atom 输出标题没有还原字符的bug
	- 修正 发送trackback 地址转义的Bug
	- 修正 插件保存设置信息删除后再安装会insert更多设置的Bug
	- xml.asp 增加分析XML变量的方法
	- 合并 common/cacheMod.asp 的代码到 class/cls_logAction.asp
	- 修正blog重新统计没有统计会员的Bug

PJBlog 2.4.1211 更新记录
	- 修正UBB代码过滤不严的Bug (感谢Кайё的提醒)
	- 修正几个安全隐患 (感谢剑心B.C.T的提醒)
	- 增加Google SiteMap功能 （感谢 FlowJZH 提供代码）
	- 修正feed.asp及atom.aspHTML代码输出错误的问题 （感谢 FlowJZH 修改的代码）

PJBlog 2.4 更新记录
	- 增加 Atom Feed
	- 增加 tag
	- 插件的安装文件增加 PluginInstall/main/ConfigPath 字段，允许采用独立asp页面管理某个插件
	- 非功能插件也允许在安装过程中操作数据库
	- 后台增加,是否允许新用户注册,站长昵称,站长邮件字段
	- 后台界面设置加上skin预览图,每个界面文件夹需要 Preview.jpg 文件
	- 修正 feed.asp 的时区问题
	- 修正上一篇和下一篇错误的问题. 
	- 缩减 Template/Article.asp 文件大小
	- 修正 cls_default.asp 读取日志列表时临时保存到数组
	- 修正 cls_article.asp 两种模式下读取日志时共同处理权限问题.
	- 修正 cls_article.asp 减少纠错的使用,生成的asp文件删除大部分后台代码
	- 修正大部分页面存在底部样式出现横线的Bug
	- 修正部分独立页面不加载plugins.asp插件文件
	- 重新写 cache.asp 的缓存保存方法
	- 修正 function.asp 的注释,以及时间转换方法加上对Atom的时间转换,以及时区设置
	- 修正 blogpost.asp , blogedit.asp 以及 cacheMod.asp 里分类读取的方法
	- 修正在线人数算法
	- 过滤最新评论的引用标签
	- 修改后台模块列表显示页面
	- 修改后台表情与关键字操作性,允许批量删除
	- 修正隐藏日志后，评论依然显示出来的Bug
	- 修正草稿图标路径出错的Bug
	- 日历修改为用缓存记录日志信息
	- 修正日历显示隐藏日志以及隐藏分类日志的Bug
	- 增强Trackback过滤，以及修正Trackback失效的问题
	- 修正后台编辑模块容易死锁的问题
	- 修正查看隐藏分类权限失效的Bug
	- 修正Fckeditor发表文章会丢失数据的问题
	- 删除部分页面两次加载友情连接的bug
	- 增加一个cookie记录客户端使用的skin
	- 增加对XMLDOM新版本的支持，支持Msxml2.DOMDocument.5.0方法
	- 修正标题输入引号出错的Bug

PJBlog 2.3.0923 更新记录
	- 调整侧边和内容部分的代码执行顺序
	- 修正 search.asp 的关键高亮链接
	- 优化 library.asp 代码
	- 分离日志列表和显示日志的函数
	- 增加 分类的Class
	- 列表查询不再同时查询两个表
	- 修正 2.3.0921 的bug
	- 修正 article.asp 的SQL查询
	- 修正 link 标签的Feed地址
	- 增加 blog accessKey 快捷键
	- 增加IE对快捷键的支持
	- 调整查看日志的导航位置
	- 修正日志查询失效的错误提示
	- 修正列表模式图标链接错误的问题
	- 查看分类显示分类名称
	- 改进日历算法,可以在日历上显示文章数量已经名称
	- UBB增加会员下载按钮

PJBlog 2.3.0921 更新记录
	- UBB增加eMule链接识别标签  标签名:ed2k
	- UBB增加会员下载功能标签  标签名:mDown
	- UBB增加会员查看内容功能标签  标签名:hidden
	- 修正UBB编辑器支持三个新的标签
	- 修改 default.asp 和 article.asp 侧边执行顺序
	- 增加 BlogCommon.asp 页面专门给 default.asp 和 article.asp 处理缓存
	- 修正写草稿没有验证标题的Bug
	- 修改 attachment.asp 页面加上上传文件只允许会员下载的选项
	- 修正日志无法显示的Bug

PJBlog 2.3.0905 更新记录
	- 增加日志草稿功能 
	- 彻底隐藏分类日志
	- 日志列表和日志内容分开成两页，固定连接不变
	- 增加article.asp日志内容页面
	- 修正 feed 和 日志的title
	- 修正最新日志插件不能显示隐藏分类日志
	- 合并日志数据库的UBB标签字段为一个
	- 编辑日志可以纪录自定义摘要状态
	- 修正页面结构，把部分 div 换成 h1 h2...
	- 修正 feed.asp 对隐藏分类过滤不严的问题和标准化rss2
	- 修正日志模版文件对草稿的支持
	- 修改 member.asp 文件用户不能修改昵称，增加系统安全性
        - 修正日志排序,改用时间来做排序
	- 修正 trackback.asp 文件，修正trackback输出漏洞
	- 允许管理员删除 trackback
	- 删除评论加上js判断
	- 修正因权限问题没有删除日志文件，导致还可以查看以删日志的Bug
	- 删除插件数据库保存asp代码字段
	- 后台增加批量删除日志功能
	- 后台增加欢迎页面，同时增加新版本检测功能
	- 后台插件修复功能合并成一个
	- 后台修正更新缓存失效的Bug

PJBlog 2.2.0820 更新记录

	- 修正部分页面没有引用模块设置类，导致部分插件无法取得配置文件的Bug
	- 修正 member.asp 昵称最小字符可以为2个
	- 修正后台删除用户后，统计出错的Bug
	- 修正留言部分文字错误和没有留言时分页出错的Bug
	- 修正日历代码，删除数据库多余字段
	- 修改 footer.asp 文件，加上界面的版权信息
	- 添加隐藏分类查看权限
	- 修改后台权限设置页面
	- 修正删除日志分类，没有把日志文件删除的Bug
	- 修正最新日志插件不显示隐藏分类日志标题的Bug
	- 修正修改日志来源出错的问题
	- bloglink.asp 添加申请链接功能



PJBlog 2.1.0802 正式版更新记录

	- 增加插件安装和插件管理功能 (需要 XMLDom 支持)
	- 日志发表动态生成ASP文件.后台允许批量生成 (需要 Adobe.stream 支持)
	- 日志列表模式
	- 隐藏分类日志
	- 增加日志模版页面
	- 增加友情链接页面
	- 增加留言本激活插件 (需要在后台安装)
	- 增加站长个人介绍模块插件 (需要在后台安装)
	- 修正部分页面的结构
	- 模块支持后台ASP代码 
	- 增加最新日志插件
	- 友情链接修改为动态生成HTML页面 (需要 Adobe.stream 支持)
	- 修正HTML标签 和 textarea 在 UBB编辑中失效的问题 
	- 修正添加插件后，数据库出错自动修复功能
	- 添加备案字段直接在后台设置备案信息
	- 更换验证码程序
	- 修正部分文字描述错误
	- 添加信息错误提示页面
	- 在日志中可以显示日志来源
	- 以及部分细微的Bug (不一一列举了,好多我记不起来了 -_-! )



以往更新历史
★2005-6-19★
修正后台压缩数据库后,分类显示出错的Bug
修正UBB编辑器 UBB Javascript for Mozilla
添加表情符号的插入
UBB编辑器添加Html转换UBB代码功能
后台增加访客IP查询功能
附件管理添加查看文件类型
修正CSS在加了副标题后菜单对不齐的问题
修正归档时间排序
更换表情符号
查看日志增加查看前后两篇日志的功能
增加附件上传功能

★2005-6-16★
后台修改 外观设置 模块 (已完成) 
后台修改 模块设置 模块 (已完成) 
后台增加 表情和关键字管理 模块 (已完成) 
UBB编辑器添加 表情显示 和 HTML to UBB 功能 
分类增加顶部菜单和侧边菜单区分功能,可以更加人性化制定日志分类

★2005-6-12★
后台增加 权限组管理和用户权限设置 模块 (已完成) 
后台增加 数据清理统计 模块 (已完成) 
后台增加 友情链接管理 模块 (已完成) 
后台增加 服务器信息 模块 (已完成) 
修正后台批量修改数据后数据溢出的Bug 
后台增加退出功能 -_-!!! 
修正 Function.asp 里的过滤字符的Bug 
修正添加和修改日志标题过滤不严的问题 
修正trackBack过滤文字出错的Bug 
修改日志不能再发通告 
修正FCKEditor发表日志后空格实效的Bug

★2005-6-7★
修正申请用户没有把性别写入数据库的Bug 
修正member.asp页面的错误 
修正对引用通告的查询 
增加查询关键字高亮功能. 
增加首页友情连接

★2005-6-5★
后台增加 设置基本信息 模块 (已完成) 
后台增加 设置日志分类 模块 (已完成) 
后台增加 日志批量移动 模块 (已完成) 
后台增加 数据库管理 模块 (已完成) 
后台增加 附件管理 模块 (已完成) 
后台增加 外观设置 模块 (80%) 
后台增加 模块设置 模块 (40%) 
后台增加 模块插件设置 模块 (60%) 
增加Ip过滤功能 
修正部分CSS的错误

★2005-5-24★
修正feed.asp的时间问题 
修改function.asp里的时间转换函数 
增加[quote=][/quote]标签 
修改后台登录验证 
增加后台Blog基本信息修改

★2005-5-23★
增加查询功能 
修正查看任何人都可以查看隐藏日志的Bug 
修正Feed没有转化UBB代码的Bug 
添加帐户修改个人资料功能 
把自定义模块代码写进缓存 
修正分页页数代码 
修正trackback无法删除的Bug

★2005-5-18★
修正删除评论后,统计信息出错的问题 
修正编辑日志没有记录UBB信息的bug 
完成UBBCode_IE.js(UBB JS Code For IE---UBB编辑器For IE)需要的javascript代码 
新增ubbcode.asp,完成UBB代码的编写 
修正ubb代码中不标准的代码 
修正媒体文件的隐藏后,还在继续播放的问题 
修正评论使用UBB代码的bug 
blog_info表增加对评论的ubb代码和贴图进行限制的两个字段

★2005-5-17★
增加trackback功能. 
增加RSS功能.并且可以分别订阅某个分类 
修正部分CSS代码 
修正发表日志和修改日志时没有重新更新blog信息缓存的Bug 
修正删除评论时,评论总数出错的bug 
Blog设置中,增加IP过滤和发表评论时间差字段 
增加发表评论后,30秒后才能继续发表的功能. 
修正标题没有过滤的Bug 
增加blog信息的显示 
增加最新评论显示的缓存 
增加注册用户模块 
修正trackback地址的id错误

★2005-5-12★
修正发表评论代码,过滤评论的信息 
修正游客无法发表评论的bug 
发表评论需要验证码  
修正查看日志时,无法选择文字的bug 
加强编辑和删除日志的权限控制 
在分类后面加上RSS图标,(rss还没有起作用-_-b) 
修改部分bug.(太细节了,记不住了)

★2005-5-7★
修正发表日志的时候权限的错误 
修正细节页面显示trackback和评论的bug 
增加发表日志或登录成功时,等待3秒自动返回的功能 
修正发日志用户和管理员的权限. 
发表评论需要验证码

★2005-4-30★
修改日志细节页面(defalut.asp) 
可以显示用户评论和发表评论

★2005-4-29★
把Blog_info表的信息记录到缓存,减少数据库访问量。（目前一般首页访问数据库3次）  
增加日志细节显示页面  
修正引用通告页面 
把日志列表和日志细节制作成一页，方便自定义模块读取

★2005-4-27★
Blog可以增加和修改日志 
支持多个引用通告通知 
修正UBB和FCKeditor之间的JS脚本 
修正日志归档缓存

★2005-4-22★
更改用户登录密码验证方式,独立写一个CheckUser.asp文件来处理用户信息 
更改密码验证方式为SHA1代替原来的MD5方式. 
修改临时记录的Cookies信息,提高系统安全性

★2005-4-21★
整理所有缓存代码 
重新写浏览器和操作系统判断方法 
重新写用户验证方法

★2005-4-20★
后台界面设计完成 
修改权限验证方式 
添加部分后台管理代码

★2005-3-3~2005-3-13★
添加树形分类 
添加FCKEditor和UBBEditor 
首页日志列表模块化 
每个模块根据它的名字都有自己的CSS定义 
横向菜单和树状菜单可以用CSS来控制是否可见。 
添加日志归档模块 
重新写分页代码 
日志分类可以添加分类图标

★2005-3-3★
加上验证码功能

★2005-3-2★
修正隐藏日志的问题. 
简化首页代码. 
修正登录提示信息

★2005-3-1 以前★
模版制定符合标准化. 
日志的日历重新编写成功. 
日志模块化完成. 
首页完成度 80% 
用户登录代码完成. 
自定义权限功能建立并制作完成. 
简化用户面版 (目的淡化用户登录功能,还原Blog应有的特色.) 
修正信息提示框 可以里面加上图标. 用CSS控制

